| KD SOAP 1.9.1

Public Member Functions | List of all members
KDSoapServerAuthInterface Class Reference

`#include <KDSoapServerAuthInterface.h>`

## Public Member Functions
| KDSoapServerAuthInterface ()
virtual | ~KDSoapServerAuthInterface ()
virtual bool | validateAuthentication (const KDSoapAuthentication &auth, const QString &path)

## Detailed Description

Additional interface for handling authentication.

In addition to deriving from KDSoapServerObjectInterface, you can derive from KDSoapServerAuthInterface in order to handle HTTP authentication.

Use Q_INTERFACES(KDSoapServerAuthInterface) in your derived class (under Q_OBJECT) so that Qt can discover the additional inheritance.

Since
  1.3

## Constructor & Destructor Documentation

## ◆ KDSoapServerAuthInterface()

KDSoapServerAuthInterface::KDSoapServerAuthInterface | ( |  | ) |

Constructor

## ◆ ~KDSoapServerAuthInterface()

KDSoapServerAuthInterface::~KDSoapServerAuthInterface | ( |  | ) |
| virtual

Destructor

## Member Function Documentation

## ◆ validateAuthentication()

bool KDSoapServerAuthInterface::validateAuthentication | ( | const KDSoapAuthentication & | auth,
|  | const QString & | path
| ) |  |
| virtual

Return true if the authentication details are valid.

The documentation for this class was generated from the following files:

- src/KDSoapServer/KDSoapServerAuthInterface.h
- src/KDSoapServer/KDSoapServerAuthInterface.cpp

Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/